﻿package implement

import (
	"applet/app/db/super/dao"
	"applet/app/db/super/model"
	"applet/app/utils/logx"
	"xorm.io/xorm"
)

func NewAgentListDb(engine *xorm.Engine) dao.AgentListDao {
	return &AgentListDb{Db: engine}
}

type AgentListDb struct {
	Db *xorm.Engine
}

func (a AgentListDb) GetAgentList(agentId int) (medium *model.AgentList, err error) {
	medium = new(model.AgentList)
	has, err := a.Db.Where("agent_id =?", agentId).Get(medium)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return medium, nil
}

func (a AgentListDb) AgentListInsert(m *model.AgentList) (int64, error) {
	insertAffected, err := a.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return insertAffected, nil
}

func (a AgentListDb) UpdateAgentList(m *model.AgentList, columns ...string) (int64, error) {
	affected, err := a.Db.Where("agent_id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}
